[[for temp in templates]]
[[if "mod_layer" in temp]] Layer: [[mod_layer]]
[[end]] [[if "mod_name" in temp]] Module: [[mod_name]]
[[end]]
[[exec i = 0]] [[temp['template_name']]]( [[for arg in temp['template_parameters']]] [[if i != 0]] , [[end]] [[exec i = 1]] [[if arg['optional'] == 'yes']] [ [[end]] [[arg['name']]] [[if arg['optional'] == 'yes']] ] [[end]] [[end]] )
[[if temp['template_summary']]]

##### Summary

[[temp['template_summary']]] [[end]] [[if temp['template_desc']]]

##### Description

[[temp['template_desc']]] [[end]]

##### Parameters

Parameter: | Description:
--- | ---
[[for arg in temp['template_parameters']]]
[[arg['name']]] | [[arg['desc']]]
[[end]]

[[end]]